Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.asn1
Class ASN1DynamicType

    java.lang.Object
      com.mindbright.asn1.ASN1Object
          com.mindbright.asn1.ASN1DynamicType

Direct Known Subclasses:
  ASN1AnyDefinedBy, ASN1Choice

public abstract class ASN1DynamicType
extends ASN1Object

Field Summary
`protected ASN1Object` | `value`

Fields inherited from class com.mindbright.asn1.ASN1Object
`isSet, tag`

Constructor Summary
`protected` | `ASN1DynamicType()`

Method Summary
`protected abstract ASN1Object` | `bindType(int tag)`
`void` | `decodeValue(ASN1Decoder decoder, java.io.InputStream in, int tag, int len)`
`int` | `encodeValue(ASN1Encoder encoder, java.io.OutputStream out)`
`java.lang.String` | `getType()`
`ASN1Object` | `getValue()`
`void` | `setValue()`
`void` | `setValue(ASN1Object value)`

Methods inherited from class com.mindbright.asn1.ASN1Object
`decodeValue, getTag, isSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected ASN1Object value

Constructor Detail

### ASN1DynamicType

    protected ASN1DynamicType()

Method Detail

### setValue

    public final void setValue(ASN1Object value)

### getValue

    public final ASN1Object getValue()

### getType

    public java.lang.String getType()

  Overrides:
    `getType` in class `ASN1Object`

### setValue

    public void setValue()

  Overrides:
    `setValue` in class `ASN1Object`

### encodeValue

    public int encodeValue(ASN1Encoder encoder,
                           java.io.OutputStream out)
                    throws java.io.IOException

  Specified by:
    `encodeValue` in class `ASN1Object`
  Throws:
    `java.io.IOException`

### decodeValue

    public void decodeValue(ASN1Decoder decoder,
                            java.io.InputStream in,
                            int tag,
                            int len)
                     throws java.io.IOException

  Overrides:
    `decodeValue` in class `ASN1Object`
  Throws:
    `java.io.IOException`

### bindType

    protected abstract ASN1Object bindType(int tag)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD